// SeekSlider.cpp : implementation file
//

#include "stdafx.h"
#include "cdex.h"
#include "SeekSlider.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSeekSlider

CSeekSlider::CSeekSlider()
{
}

CSeekSlider::~CSeekSlider()
{
}


BEGIN_MESSAGE_MAP(CSeekSlider, CSliderCtrl)
	//{{AFX_MSG_MAP(CSeekSlider)
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSeekSlider message handlers

void CSeekSlider::OnLButtonDown(UINT nFlags, CPoint point) 
{
	GetParent()->SendMessage( WM_SEEKSLIDERDOWN );
	CSliderCtrl::OnLButtonDown( nFlags, point );
}

void CSeekSlider::OnLButtonUp( UINT nFlags, CPoint point ) 
{
	GetParent()->SendMessage( WM_SEEKSLIDERUP, 0, GetPos() );	
	CSliderCtrl::OnLButtonUp( nFlags, point );
}
